# Interface IDuringQueryEventArgs

Argument sent to all handlers bound on QueryEvents.duringQuery

## Index

### Properties

- promise
- query
- queryBuilder
- searchAsYouType

## Properties

### promise

promise: Promise<IQueryResults>

- Defined in events/QueryEvents.ts :75

A promises for the results that will be returned by the Search API

### query

query: IQuery

- Defined in events/QueryEvents.ts :71

The query that was just executed

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :67

The QueryBuilder that was used for the current query

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :79

Whether the query is a search-as-you-type

### Hierarchy

- IDuringQueryEventArgs